Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1662854 - [abrt] solaar: update(): window.py:794:update:AssertionError
Summary: [abrt] solaar: update(): window.py:794:update:AssertionError
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5f7ae3af7e7b9444bde4304a82b...
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2019-01-02 08:32 UTC by Luca Botti
Modified: 2019-11-27 23:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:30:38 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (483 bytes, text/plain)
2019-01-02 08:32 UTC, Luca Botti
no flags Details
File: cgroup (411 bytes, text/plain)
2019-01-02 08:32 UTC, Luca Botti
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2019-01-02 08:32 UTC, Luca Botti
no flags Details
File: environ (4.12 KB, text/plain)
2019-01-02 08:32 UTC, Luca Botti
no flags Details
File: mountinfo (4.01 KB, text/plain)
2019-01-02 08:32 UTC, Luca Botti
no flags Details
File: namespaces (129 bytes, text/plain)
2019-01-02 08:32 UTC, Luca Botti
no flags Details
File: open_fds (1.23 KB, text/plain)
2019-01-02 08:32 UTC, Luca Botti
no flags Details

Description Luca Botti 2019-01-02 08:32:06 UTC
Description of problem:
Connecting to Thunderbolt docking station with plugged-in usb universal receiver.

Version-Release number of selected component:
solaar-0.9.2-10.20180813gitf0fc63e.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: update
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.10-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
window.py:794:update:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/solaar/ui/__init__.py", line 165, in _status_changed
    window.update(device, need_popup)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 794, in update
    assert device.receiver
AssertionError

Local variables in innermost frame:
device: <PairedDevice(1,4003,K270(unifying))>
need_popup: 0
selected_device_id: ('/dev/hidraw0', 3)
is_paired: False

Comment 1 Luca Botti 2019-01-02 08:32:09 UTC
Created attachment 1517870 [details]
File: backtrace

Comment 2 Luca Botti 2019-01-02 08:32:10 UTC
Created attachment 1517871 [details]
File: cgroup

Comment 3 Luca Botti 2019-01-02 08:32:11 UTC
Created attachment 1517872 [details]
File: cpuinfo

Comment 4 Luca Botti 2019-01-02 08:32:13 UTC
Created attachment 1517873 [details]
File: environ

Comment 5 Luca Botti 2019-01-02 08:32:14 UTC
Created attachment 1517874 [details]
File: mountinfo

Comment 6 Luca Botti 2019-01-02 08:32:15 UTC
Created attachment 1517875 [details]
File: namespaces

Comment 7 Luca Botti 2019-01-02 08:32:16 UTC
Created attachment 1517876 [details]
File: open_fds

Comment 8 Larry O'Leary 2019-03-26 17:41:14 UTC
Similar problem has been detected:

Log-in?

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: update
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.3-200.fc29.x86_64
package:        solaar-0.9.2-10.20180813gitf0fc63e.fc29
reason:         window.py:794:update:AssertionError
runlevel:       N 5
type:           Python3
uid:            1500

Comment 9 Larry O'Leary 2019-10-04 14:56:13 UTC
Similar problem has been detected:

Rebooted and logged in.

reporter:       libreport-2.10.1
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: update
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.4-1.fc29.x86_64
kernel:         5.2.11-100.fc29.x86_64
package:        solaar-0.9.2-10.20180813gitf0fc63e.fc29
reason:         window.py:794:update:AssertionError
runlevel:       N 5
type:           Python3
uid:            1500

Comment 10 Ben Cotton 2019-10-31 18:47:34 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2019-11-27 23:30:38 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.